function getStyle(obj){
	var style = obj.currentStyle;
	if(style)
		return style;
	style = getComputedStyle(obj, "");
	if(style)
		return style;
	return obj.style;
}

function toggleNode(id){
	var img = document.getElementById("i" + id);
	var div = document.getElementById("d" + id);
	var style = getStyle(div, "");

	if (style.visibility=='hidden' || style.display=='none'){
		div.style.display='block';
		div.style.visibility='visible';
		img.src="o.gif";
	}else{
		div.style.display='none';
		div.style.visibility='hidden';
		img.src="c.gif";
	}
}


function synctree(){
	if (this.name != "topic"){
		location.href = parentDir + 'default.html?' + location.href;
		return;
	}
		
	var toc = this.parent.toc;
	var links = toc.document.getElementsByTagName("a");
	var filename = this.location.href;
	for(var i = 0; i < links.length; i++) {
		var link = links[i];
		if(filename == link.href){
			link.style.color = "#007F00";
			var parent = link.parentNode;
			while(parent && parent.tagName == "DIV"){
				parent.style.display='block';
				parent.style.visibility='visible';
				if(parent.id){
					var img = toc.document.getElementById("i" + parent.id.substring(1));
					img.src="o.gif";
				}
				parent = parent.parentNode;
			}
		}
	}
}


function unSynctree(){
	if (this.name != "topic")
		return;
		
	var toc = this.parent.toc;
	var links = toc.document.getElementsByTagName("a");
	var filename = this.location.href;
	for(var i = 0; i < links.length; i++) {
		var link = links[i];
		if(filename == link.href){
			link.style.color = "";
		}
	}
}


